Loading...
Searching...
No Matches
band_basic< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::band_basic< T, M >

Definition at line 95 of file band.h.

## Public Types

typedef geo_basic< T, M >::size_type | size_type

## Public Member Functions

| band_basic ()
| band_basic (const field_basic< T, M > &fh, const level_set_option &opt=level_set_option())
const geo_basic< T, M > & | band () const
const geo_basic< T, M > & | level_set () const
size_type | sid_ie2bnd_ie (size_type sid_ie) const
size_type | n_connected_component () const

## Protected Attributes

geo_basic< T, M > | _gamma
geo_basic< T, M > | _band
disarray< size_type, M > | _sid_ie2bnd_ie
size_type | _ncc

## Member Typedef Documentation

## size_type

template<class T, class M = rheo_default_memory_model>

typedef geo_basic<T,M>::size_type size_type

Definition at line 98 of file band.h.

## Constructor & Destructor Documentation

## band_basic() [1/2]

template<class T, class M>

band_basic | ( |  | ) |

Definition at line 133 of file band.h.

## band_basic() [2/2]

template<class T, class M>

band_basic | ( | const field_basic< T, M > & | fh,
|  | const level_set_option & | opt = level_set_option() )

Definition at line 307 of file band.cc.

## Member Function Documentation

## band()

template<class T, class M = rheo_default_memory_model>

const geo_basic< T, M > & band | ( |  | ) | const

Definition at line 108 of file band.h.

## level_set()

template<class T, class M = rheo_default_memory_model>

const geo_basic< T, M > & level_set | ( |  | ) | const

Definition at line 109 of file band.h.

## sid_ie2bnd_ie()

template<class T, class M = rheo_default_memory_model>

size_type sid_ie2bnd_ie | ( | size_type | sid_ie | ) | const

Definition at line 110 of file band.h.

## n_connected_component()

template<class T, class M = rheo_default_memory_model>

size_type n_connected_component | ( |  | ) | const

Definition at line 111 of file band.h.

## Member Data Documentation

## _gamma

template<class T, class M = rheo_default_memory_model>

geo_basic<T,M> _gamma

protected

Definition at line 116 of file band.h.

## _band

template<class T, class M = rheo_default_memory_model>

geo_basic<T,M> _band

protected

Definition at line 117 of file band.h.

## _sid_ie2bnd_ie

template<class T, class M = rheo_default_memory_model>

disarray<size_type,M> _sid_ie2bnd_ie

protected

Definition at line 118 of file band.h.

## _ncc

template<class T, class M = rheo_default_memory_model>

size_type _ncc

protected

Definition at line 119 of file band.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/band.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/band.cc